﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using MySql.Data.MySqlClient;

namespace mobiledata
{
    class MysqlMobileDataFactory : MobileDataFactory
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override IDbConnection createConnection()
        {
            return new MySqlConnection(ConnectionString);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override MobileDataManagerImpl createDBAdapter()
        {
            return new MysqlMobileDataManagerImpl();
        }

    }
}
